Show / Hide Table of Contents

# Struct lua_State

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Common.Lua

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct lua_State

### Methods

| Improve this Doc View Source

#### index2adr(Int32)

##### Declaration

    public void *index2adr(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### lua_call(Int32, Int32)

##### Declaration

    public void lua_call(int nargs, int nresults)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | nargs |
System.Int32 | nresults |

| Improve this Doc View Source

#### lua_getfield(Int32, String)

##### Declaration

    public void lua_getfield(int idx, string k)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |
System.String | k |

| Improve this Doc View Source

#### lua_getglobal(String)

##### Declaration

    public void lua_getglobal(string s)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | s |

| Improve this Doc View Source

#### lua_getmetatable(Int32)

##### Declaration

    public int lua_getmetatable(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lua_gettop()

##### Declaration

    public int lua_gettop()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lua_next(Int32)

##### Declaration

    public int lua_next(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lua_pcall(Int32, Int32, Int32)

##### Declaration

    public int lua_pcall(int nargs, int nresults, int errfunc)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | nargs |
System.Int32 | nresults |
System.Int32 | errfunc |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### lua_pop(Int32)

##### Declaration

    public void lua_pop(int n)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | n |

| Improve this Doc View Source

#### lua_pushcclosure(delegate*<lua_State*, Int32>, Int32)

##### Declaration

    public void lua_pushcclosure(delegate*<lua_State*, int> fn, int n)

##### Parameters

Type | Name | Description
--- | --- | ---
delegate*<lua_State*, System.Int32> | fn |
System.Int32 | n |

| Improve this Doc View Source

#### lua_pushcfunction(delegate*<lua_State*, Int32>)

##### Declaration

    public void lua_pushcfunction(delegate*<lua_State*, int> f)

##### Parameters

Type | Name | Description
--- | --- | ---
delegate*<lua_State*, System.Int32> | f |

| Improve this Doc View Source

#### lua_pushnil()

##### Declaration

    public void lua_pushnil()

| Improve this Doc View Source

#### lua_pushvalue(Int32)

##### Declaration

    public void lua_pushvalue(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

| Improve this Doc View Source

#### lua_register(String, delegate*<lua_State*, Int32>)

##### Declaration

    public void lua_register(string n, delegate*<lua_State*, int> f)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | n |
delegate*<lua_State*, System.Int32> | f |

| Improve this Doc View Source

#### lua_remove(Int32)

##### Declaration

    public void lua_remove(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

| Improve this Doc View Source

#### lua_setfield(Int32, String)

##### Declaration

    public void lua_setfield(int idx, string k)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |
System.String | k |

| Improve this Doc View Source

#### lua_setglobal(String)

##### Declaration

    public void lua_setglobal(string s)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | s |

| Improve this Doc View Source

#### lua_settop(Int32)

##### Declaration

    public void lua_settop(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

| Improve this Doc View Source

#### lua_tolstring(Int32, Int32*)

##### Declaration

    public byte *lua_tolstring(int idx, int *len)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |
System.Int32* | len |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### lua_tonumber(Int32)

##### Declaration

    public double lua_tonumber(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### lua_tostring(Int32)

##### Declaration

    public string lua_tostring(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### lua_type(Int32)

##### Declaration

    public LuaType lua_type(int idx)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | idx |

##### Returns

Type | Description
--- | ---
LuaType |

| Improve this Doc View Source

#### luaB_tostring()

##### Declaration

    public int luaB_tostring()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### luaL_loadbuffer(String, Int64, String)

##### Declaration

    public int luaL_loadbuffer(string buff, long size, string name = "?")

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | buff |
System.Int64 | size |
System.String | name |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### luaL_loadfile(String)

##### Declaration

    public int luaL_loadfile(string filename)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | filename |

##### Returns

Type | Description
--- | ---
System.Int32 |